Bug 149502 - CRASH/Hang: deleting sheet
Summary: CRASH/Hang: deleting sheet
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: high major
Assignee: Attila Szűcs
URL:
Whiteboard: target:7.5.0 target:7.4.0.0.beta2
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: Crash
  Show dependency treegraph
 
Reported: 2022-06-09 12:55 UTC by Xisco Faulí
Modified: 2022-06-27 10:22 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample file (25.00 KB, application/vnd.ms-excel)
2022-06-09 12:55 UTC, Xisco Faulí
Details
bt with debug symbols (24.09 KB, text/plain)
2022-06-09 20:21 UTC, Julien Nabet
Details
another file affected by the same commit (27.50 KB, application/vnd.ms-excel)
2022-06-16 08:56 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-06-09 12:55:48 UTC
Created attachment 180652 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Delete sheet Diagramm1

-> Crash

Reproduced in

Version: 7.4.0.0.alpha1+ / LibreOffice Community
Build ID: d4123356c61db269651e950a0a2cc93e6d801c90
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: x11
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2022-06-09 12:56:36 UTC
Regression introduced by:

author	Luboš Luňák <l.lunak@collabora.com>	2022-03-30 11:58:04 +0200
committer	Luboš Luňák <l.lunak@collabora.com>	2022-04-28 05:51:53 +0200
commit 9e2d48b9e04f7ea895fb095699c32ed8a44eb129 (patch)
tree e7762a098c6dc066d9dc73888bd3c992cbb13490
parent ee57936475064b409565490022f414220656e12c (diff)
reduce Calc's INITIALCOLCOUNT to 1

Bisected with: bibisect-linux64-7.4

Adding Cc: to Luboš Luňák
Comment 2 Julien Nabet 2022-06-09 20:21:23 UTC
Created attachment 180660 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.

I also noticed this log repeated several times:
warn:sc.ui:1576435:1576435:sc/source/ui/unoobj/chart2uno.cxx:2807: range list and range index list have different sizes after the reference update.
Comment 3 Xisco Faulí 2022-06-16 08:56:03 UTC
Created attachment 180794 [details]
another file affected by the same commit
Comment 4 Commit Notification 2022-06-23 13:34:43 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/954d119db932434dc976ef739c643be0d9c7023c

tdf#149502 sc: crash fix: Change in Table destruction

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Attila Szűcs 2022-06-23 14:29:01 UTC
This was not a real regression, as the problem existed long before, Luboš Luňák 's commit, that only made it visible in this special case.
Comment 6 Commit Notification 2022-06-24 09:35:15 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/e0e59aae287268cb633df340e565647ec8c14cb2

tdf#149502 sc: crash fix: Change in Table destruction

It will be available in 7.4.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 NISZ LibreOffice Team 2022-06-27 10:22:16 UTC
Verified in:
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 415dc3bb1c03dbdbc3cbca274bc435ac7557ba2d
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL